<?php

class XingConnector extends HybridAuthConnector
{

    protected function getAccessTokenKey($provider)
    {
        return "hauth_session.$provider..token.access_token_secret";
    }

    protected function getRefreshTokenKey($provider)
    {
        return "hauth_session.$provider.token.access_token";
    }

    protected function initiateProviderSpecificSync($meta, $model)
    {
        $auth = new HybridAuthAdapter($model->provider);
        $this->getAuthAdapter($auth, $model);
        $auth->adapter->getUserContacts(array("offset" => $meta->offset, "limit" => $meta->limit, 'model' => $model));

        return $meta->offset + $meta->limit;
    }

    protected function gatherMetaDataForSyncJob($model)
    {
        //function added because of PDEV-501 and not longer provided xing api
        Log::v('Xing import not longer provided!');
    }
}
